/*
---------------------------------------
All rights reserved
(C) copyright 2002 Gogul Balakrishnan
---------------------------------------
This is a part of the OS, Gogul is writing currently.  Permission to use, copy, modify and distribute this software  and documentation is granted without fee, provided this  copyright message appears on all distributions.I make no  representations of the suitability of the software for any  purpose whatsoever. It is provided "as is" without any  express or implied warranty.

*/
#ifndef __DEFS_H
#define __DEFS_H

#define PRIV_USER 	0x3
#define PRIV_KERNEL 	0x0

#define INTR_GATE 0xe
#define TRAP_GATE 0xf


#define IVT_SEL		0x10
#define SCR_SEL		0x18
#define KERNEL_CS_SEL	0x20
#define KERNEL_DS_SEL 	0x28
#define SS0_SEL		0x30

#define TIMER_INTR	0x20
#define KEYB_INTR		0x21

typedef unsigned short WORD;
typedef unsigned int DWORD;
typedef unsigned char BYTE;

typedef unsigned short ushort;
typedef unsigned int uint;
typedef unsigned char uchar;

#endif